const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const epds_assessments = sequelize.define(
    'epds_assessments',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

taken_at: {
        type: DataTypes.DATE,
      
      

      },

score_total: {
        type: DataTypes.INTEGER,
      
      

      },

responses_json: {
        type: DataTypes.TEXT,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  epds_assessments.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.epds_assessments.belongsTo(db.pregnancies, {
      as: 'pregnancy',
      foreignKey: {
        name: 'pregnancyId',
      },
      constraints: false,
    });




    db.epds_assessments.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.epds_assessments.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return epds_assessments;
};


